<% add_decidim_page_title(proposal_wizard_step_title(action_name)) %>
<div class="br-container-lg">
  <% if flash.any? %>
    <div class="br-message danger new-proposal-error">
      <i class="fas fa-times-circle fa-lg" aria-hidden="true"></i>
      <div class="content" aria-label="Data de início do afastamento inválida. A data não pode ser superior à data atual." role="alert"><span class="message-title"><%= flash.first.last %></span></div>
      <div class="close">
        <button class="br-button circle small" type="button" aria-label="Fechar a messagem alterta"><i class="fas fa-times" aria-hidden="true"></i>
        </button>
      </div>
    </div>
  <% end %>
  <div class="new-proposal-header">
    <%= render partial: "decidim/proposals/proposals/wizard_aside" %>
    <%= render partial: "decidim/proposals/proposals/wizard_header" %>
  </div>
  <%= decidim_form_for(@form, html: { id: "new-proposal-form-sub" }) do |form| %>
    <%= form_required_explanation %>
    <div class="new-proposal-form">
      <div class="br-input input-highlight bp-input" >
        <%= form.text_field :title , placeholder: "Digite aqui", label: t("decidim.proposals.proposals.new.title_field", singular_name: translated_attribute(current_component.singular_name).present? ? translated_attribute(current_component.singular_name).downcase : "proposta") %>
      </div>
      <% if @form.categories&.any? %>
        <div class="bp-select input-highlight ">
          <%= form.categories_select :category_id, @form.categories, include_blank: t("decidim.proposals.proposals.edit.select_a_category") %>
        </div>
      <% end %>
      <div class="bp-text-area">
        <%= text_editor_for_proposal_body(form) %>
      </div>
      <% if current_organization.user_groups_enabled? && Decidim::UserGroups::ManageableUserGroups.for(current_user).verified.any? %>
        <div class="field">
          <%= user_group_select_field form, :user_group_id %>
        </div>
      <% end %>
      <div class="field select-field-br">
          <%= form.select :associated_state,
                          @form.proposal_state_select,
                          { include_blank: t("decidim.proposals.admin.proposals.form.select_a_proposal_associated_state") },
                          { multiple: false } %>
        </div>
      <% if @form.geocoding_enabled? %>
        <div class="field" style="display: none;">
          <%= form.check_box :has_address, checked: @form.geocoding_enabled? %>
        </div>
        <div class="field" id="proposal_address_div" style="display: none;">
          <%= form.hidden_field :address,
            input_html: { required: false }
          %>
        </div>
        <div class="proposal-address-inputs" id="address_input_div" >
          <div class="field select-field-br meeting-address">
            <label for="state">Estado:
              <select id="state" name="state" autocomplete="on">
                <option disabled selected>Selecione um estado</option>
              </select>
            </label>
            <label for="city">Cidade / Município:
              <select id="city" name="city" autocomplete="on" disabled>
                <option>Selecione uma cidade / município</option>
              </select>
            </label>
          </div>
        </div>
      <% end %>
      <% if component_settings.attachments_allowed? %>
        <fieldset class="gallery__container photos_container">
          <legend><%= t("gallery_legend", scope: "decidim.proposals.proposals.edit") %></legend>
          <div class="row column">
            <%= form.attachment :photos,
                  multiple: false,
                  label: t("decidim.proposals.proposals.edit.add_image"),
                  button_label: t("decidim.proposals.proposals.edit.add_image"),
                  button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
                  help_i18n_scope: "decidim.forms.file_help.image",
                  extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
          </div>
        </fieldset>
        <fieldset class="attachments_container gallery__container documents_container">
          <legend><%= t("attachment_legend", scope: "decidim.proposals.proposals.edit") %></legend>
          <div class="row column">
            <%= form.attachment :documents,
                  multiple: true,
                  label: t("decidim.proposals.proposals.edit.add_documents"),
                  button_label: t("decidim.proposals.proposals.edit.add_documents"),
                  button_edit_label: t("decidim.proposals.proposals.edit.edit_documents"),
                  help_i18n_scope: "decidim.forms.file_help.file" %>
          </div>
        </fieldset>
      <% end %>
      <div class="actions bp-new-proposal-container">
        <%# <%= form.button "Pré-visualização", class: "button expanded mt-s mb-none new-proposal-button pre-view-button" %>
        <%= form.hidden_field :should_preview, id: "should_preview" %>
        <%# <%= form.button "Pré-visualizar", type: "button", id: "preview-button", class: "button expanded mt-s mb-none new-proposal-button" %>
        <%= form.submit "Publicar", class: "button expanded mt-s mb-none new-proposal-button", data: { disable: true } %>
      </div>
    </div>
  <% end %>
  <div class="columns large-3"></div>
</div>

<% content_for :js_content do %>
  <%= javascript_pack_tag "decidim_proposals" %>
  <%= javascript_pack_tag "address" %>
<% end %>


<script>
function fixTooltips() {
  document.querySelectorAll(".tooltip-element:not([data-helper-fixed])").forEach(function (el) {
    const tooltipText = el.getAttribute("tooltip") || "";
    if (!tooltipText) return;
    const helper = document.createElement("div");
    helper.classList.add("help-text");
    helper.textContent = tooltipText;
    const formGroup = el.closest(".form-group");
    if (!formGroup) return;
    const fields = formGroup.querySelectorAll("input, select, textarea");
    if (fields.length > 0) {
      fields[fields.length - 1].insertAdjacentElement("afterend", helper);
    } else {
      formGroup.appendChild(helper);
    }
    el.style.display = "none";
    el.setAttribute("data-helper-fixed", "true");
  });
}

document.addEventListener("DOMContentLoaded", function () {
  fixTooltips();

  const observer = new MutationObserver(function (mutations) {
    fixTooltips();
  });
  observer.observe(document.body, { childList: true, subtree: true });
});
</script>

